html, body {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    /* overflow-x: hidden;
    overflow-y: auto; */
    background-color: #292929;
}

section{
    width: 100%;
    min-height: 100dvh;
    display: grid;
    place-items: center;
    align-content: center;
    padding: 4rem 2rem;
    z-index: 2;
    overflow-x: hidden;
    overflow-y: auto;

    @media (min-width: 420px){
        padding: 2rem;
    }
}

section > * {
    z-index: 2;
}

h6{
    color: #eaeaea;
    font-family: "Original Surfer", sans-serif;
    font-weight: 400;
    font-style: normal;
    font-size: 1.5rem;
    margin-bottom: 0rem;
}

h1{
    color: #00a69c;
    font-family: "Lilita One", sans-serif;
    font-weight: 400;
    font-style: normal;
    font-size: 3.5rem;
    text-align: center;
    margin: 0rem;
}

.description{
    color: #eaeaea;
    font-family: "Original Surfer", sans-serif;
    font-weight: 400;
    font-style: normal;
    font-size: 1.5rem;
    margin: 0rem;
    text-align: center;
}

.logoContainer{
    display: flex;
    justify-content: center;
    align-items: center;
    margin-bottom: 1.5rem;
    background-color: #00a69c;
    border-radius: 50%;
    width: 14rem;
    height: 14rem;
    aspect-ratio: 1/1;
    overflow: hidden;
    padding: 1rem;

    .logo{
        width: 100%;
    }
}


.aboutDetails{
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 3rem;
    margin-top: 3rem;

    @media (min-width: 420px){
        flex-direction: row;
    }

    & .instagramDetails{
        width: 20rem;
        background-color: #3a3a3a;
        padding: 1rem 2rem;
        display: flex;
        justify-content: center;
        align-items: center;
        flex-direction: column;
        text-align: center;
        flex-grow: 1;
        border-radius: 0.25rem;
        text-decoration: none;
        order: 2;

        h5{
            color: #FFF;
            font-family: "Original Surfer", sans-serif;
        }

        .icon{
            width: 4rem;
            aspect-ratio: 1/1;
            margin: 1rem;
            display: flex;
            justify-content: center;
            align-items: center;

            & i{
                width: 3.5rem;
                font-size: 3rem;
                color: #d1d1d1;
                border-radius: 1rem;
                padding: 0.25rem 0rem;
                background: linear-gradient(45deg, #405de6, #5851db, #833ab4, #c13584, #e1306c, #fd1d1d);
                /* -webkit-background-clip: text; */
                /* -webkit-text-fill-color: transparent; */
            }
        }

        p{
            color: #d1d1d1;
            margin-bottom: 0;
            font-family: "Original Surfer", sans-serif;
        }
    }

    & .youtubeDetails{
        width: 20rem;
        background-color: #3a3a3a;
        padding: 1rem 2rem;
        display: flex;
        justify-content: center;
        align-items: center;
        flex-direction: column;
        text-align: center;
        flex-grow: 1;
        border-radius: 0.25rem;
        text-decoration: none;

        h5{
            color: #FFF;
            font-family: "Original Surfer", sans-serif;
        }

        .icon{
            width: 4rem;
            aspect-ratio: 1/1;
            margin: 1rem;
            display: flex;
            justify-content: center;
            align-items: center;
            
            & i{
                font-size: 3rem;
                color: #f00;
            }
        }

        p{
            color: #d1d1d1;
            margin-bottom: 0;
            font-family: "Original Surfer", sans-serif;
        }
    }
}

.mailLinks{
    margin-top: 2rem;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding: 1rem 2rem;
    border-top: 1px solid #3a3a3a;
    min-width: 20rem;
    font-family: "Original Surfer", sans-serif;

    @media (min-width: 420px){
        flex-direction: row;
    }


    span{
        color: #d1d1d1;
        margin-right: 1rem;
    }

    a{
        color: #fff;
        text-decoration: none;
    }
}